//#import $owl_mall_setting:services/modelService.jsx
//#import $owl_wechat_setting:services/modelService.jsx
//#import $owl_douyin_setting:services/modelService.jsx
//#import $owl_xiaohongshu_setting:services/modelService.jsx

var SettingUtil = {
    getArgValue: function (key) {
        var obj = owl_mall_settingService.get(key);
        if (obj) {
            return obj.args_value;
        }
        return null;
    },
    getWechatArgValue: function (key) {
        var id = 'owl_wechat_setting_' + key;
        var obj = owl_wechat_settingService.get(id);
        if (obj) {
            return obj.args_value;
        }
        return "";
    },
    getDouyinArgValue: function (key) {
        var id = 'owl_douyin_setting_' + key;
        var obj = owl_douyin_settingService.get(id);
        if (obj) {
            return obj.args_value;
        }
        return "";
    },
    getXiaohongshuArgValue: function (key) {
        var id = 'owl_xiaohongshu_setting_' + key;
        var obj = owl_xiaohongshu_settingService.get(id);
        if (obj) {
            return obj.args_value;
        }
        return "";
    }
};